
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
     font-family: "Smooch Sans", serif;
}

html, body{
    width: 100%;
    height: 100%;
    color: #fff;
}

body::-webkit-scrollbar{
    display: none;
}

.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #1c1d20;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.all {
    display: inline;
    text-align: center;
}

.hello_loader {
    font-size: 4rem;
    font-weight: bold;
}

#slidephoto{
    position: fixed;
    width: 25vw;
    height: 30vw;
    z-index: 999;
    overflow: hidden;
    pointer-events: none;
    opacity: 0;
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 2s;
}

#slidephotos{
    width: 100%;
    height:400%;
    display: flex;
    flex-direction: column;
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 2s;
}

.photu{
    width: 100%;
    height: 100%;
}

.photu:nth-child(1){
    background-image: url(images/home-item-6.jpg);
    background-size: cover;
    background-position: center;
}

.photu:nth-child(2){
    background-image: url(images/home-item-6.jpg);
    background-size: cover;
    background-position: center;
}

.photu:nth-child(3){
    background-image: url(images/home-item-6.jpg);
    background-size: cover;
    background-position: center;
}

.photu:nth-child(4){
    background-image: url(images/home-item-6.jpg);
    background-size: cover;
    background-position: center;
}

#view{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: #455ce9;
    z-index: 9999999;
    display: flex;
    justify-content: center;
    align-items: center;

}

#view h1{
    font-size: 1.2vw;
    font-weight: 400;
    letter-spacing: 0.2vw;
}


#main{
    width: 100%;
    min-height: 100vh;
    background-color: aquamarine;
}

#back{
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 120vh;
    background-color: #1c1d20;
}

#back img{
    position: absolute;
    top: -10%;
    width: 100vw;
}

#nav{
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding-left: 45px;
    margin-top: 10px;
    height: 10vh;
}

#nav a{
     font-size: 25px;
    color: #fff;
}

#rightnav{
    width: 30%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

a{
    text-decoration: none;
}

#work{
    display: flex;
    flex-direction: column;
    align-items: center;
}

#about{
    display: flex;
    flex-direction: column;
    align-items: center;
    /* background-color: aquamarine; */
}

#contact{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.scir{
    width: 7px;
    height: 7px;
    background-color: #fff;
    border-radius: 50%;
    margin-top: 5px;
    display: none;
}

#mainelements{
    position: absolute;
    top: 10%;
    width: 100%;
    height: 100vh;
    /* background-color: aliceblue; */
}

#leftglobe{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 13px;
    width: 20vw;
    height: 15vh;
    border-radius: 0px 50px 50px 0px;
    background-color: #fff;
    color: #333;
    position: absolute;
    top: 35%;
    transform: translate(0%, -50%);
}

#leftglobe h1{
    margin-left: 25px;
    font-size: 26px;
}


#globec{
    width: 6vw;
    height: 6vw;
    background-color: #080808;
    border-radius: 50%;
    position: relative;
    animation: circle2 2.7s linear infinite;
}


@keyframes digitalball {
   0%   {background: #ff4444;}
   50%   {background: #ff4444;}
   100% {background: #ff4444;}
}

.digital-ball {
   width: clamp(9em, 12vw, 11em);
   height: clamp(9em, 12vw, 11em);
   background: #122240;
   border-radius: 50%;
   top: 0;
   right: 0;
   transform: translate(-50%, -50%);
   position: absolute;
   overflow: hidden;
   background: #0f0f0f;
}

.digital-ball .overlay {
   opacity: 0;
   transition: opacity 1s ease-in-out;
   animation: digitalball 6s ease-in-out infinite;
}

.line-globe .digital-ball:hover .overlay {
   opacity: 1;
}

@keyframes globeBounce {
   0%   {transform: translate(-50%, -40%);}
   50%  {transform: translate(-50%, -60%);}
   100% {transform: translate(-50%, -40%);}
}

.globe {
   position: absolute;
   top: 50%;
   left: 50%;
   width: 3em;
   height: 3em;
   transform: translate(-50%, -50%);
   border-radius: 50%;
   overflow: hidden;
   will-change: transform;
}

@keyframes globe {
   0%   {transform: translate(-50%, -50%) rotate(15deg); }
   50%   {transform: translate(-50%, -50%) rotate(-15deg);}
   100% {transform: translate(-50%, -50%) rotate(15deg);}
}

.globe-wrap {
   top: 50%;
   left: 50%;
   width: 100%;
   height: 100%;
   position: absolute;
   display: block;
   border-radius: 50%;
   transform: translate(-50%, -50%) rotate(30deg);
   animation: globe 5.4s cubic-bezier(0.35, 0, 0.65, 1) infinite;
   overflow: hidden;
   box-shadow: inset 0px 0px 0px .125em #fff;
}

.globe .circle {
   position: absolute;
   top: 50%;
   left: 50%;
   width: 100%;
   height: 100%;
   transform: translate(-50%, -50%);
   border-radius: 50%;
   box-shadow: inset .1em 0px 0px .08em #fff;
   animation: circle1 2.7s linear infinite;
   font-size: .75em;
}

@keyframes circle1 {
   0%   {border-radius: 50%; box-shadow: inset .1em 0px 0px .08em #fff; width: 100%; }
   49%  {border-radius: 50%; box-shadow: inset .1em 0px 0px .08em #fff; background: transparent;}
   50%  {border-radius: 0%; width: .175em; background: #fff;}
   51%  {border-radius: 50%; box-shadow: inset -.1em 0px 0px .08em #fff; background: transparent;}
   100% {border-radius: 50%; box-shadow: inset -.1em 0px 0px .08em #fff; width: 100%;}
}

.globe :nth-child(1) {
   animation-delay: -1.8s;
}

.globe :nth-child(2) {
   animation-delay: -.9s;
}


.globe .circle-hor {
   position: absolute;
   top: 50%;
   left: 50%;
   width: 150%;
   transform: translate(-50%, -50%);
   border-radius: 50%;
   height: 55%;
   box-shadow: inset 0px 0px 0px .15em #fff;
   font-size: .75em;
}

.globe .circle-hor-middle {
   position: absolute;
   top: 50%;
   left: 50%;
   width: 150%;
   transform: translate(-50%, -50%);
   border-radius: 0%;
   height: .15em;
   background: #fff;
   font-size: .75em;
}

@media screen and (max-width: 1000px) {

   .digital-ball {
      transform: translate(-20%, -50%);
   }

}



#freelance{
    position: absolute;
    top: 20%;
    right: 5%;
}

#freelance svg{
    display: inline-block;
    font-size: 10px;
    margin-bottom: 35px;
}

#freelance h1{
    font-size: 2.5vw;
    font-weight: 400;
}

#name{
    width: 400%;
    position: absolute;
    top: 45%;
}

#name h1{
    display: inline-block;
    font-size: 18vw;
    font-weight: 400;
    animation: 10s linear infinite;
    animation-name: text;
}

#navi{
    position: fixed;
    top: 3%;
    right: 3%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: #1c1d20;
    z-index: 999999999999;
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
    /* display: none; */
}

#navi:hover{
    cursor: pointer;
    /* background-color: #080808; */
}

#navi svg{
    font-size: 1.5vw;
}

#one{
    position: relative;
    width: 100%;
    height: 80vh;
    background-color: #FFFEFE;
}

#helpingbrand{
    padding: 10vw;
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: #080808;
}

#helpingbrand h1{
    font-weight: 400;
    font-size: 2.5vw;
}

#helpingbrand p{
    font-weight: 400;
    font-size: 1.2vw;
    line-height: 1.8vw;
    letter-spacing: 0.08vw;
}

#recentworks{
    position: relative;
    margin-top: 85px;
    padding: 0vw 0vw 0vw 14vw;
    display: flex;
    justify-content: space-between;
    color: #080808;
}

#recentworks a{
    position: absolute;
    bottom: 0%;
    font-size: 1.3vw;
    color: rgb(143, 143, 143);
}

#aboutme{
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: 0%;
    right: 20%;
    width: 13vw;
    height: 13vw;
    background-color: #333;
    border-radius: 50%;
    color: #fff;
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
    cursor: pointer;
}

.button-container {
  position: relative;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
  transition: 0.5s;
}

.button-container button {
  font-size: 20px;
  background: transparent;
  border: none;
  color: #ffffff;

}

#line{
    position: absolute;
    left: 50%;
    bottom: 5%;
    transform: translate(-50%, 0%);
    width: 80%;
    height: 1.5px;
    background-color: rgb(163, 163, 163);
}

#two{
    position: relative;
    width: 100%;
    height: 130vh;
    background-color: #FFFEFE;
    color: #080808;
}

.stext{
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: left;
    padding-left: 160px;
    padding-right: 160px;
}

.stext h1{
    font-size: 5vw;
    font-weight: 400;
    text-align: left;
}


.line{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.hrline{
    width: 80%;
    height: 1px;
    background-color: rgb(219, 219, 219);
    margin-top: 45px;
    margin-bottom: 45px;
}


#three{
    width: 100%;
    height: 100vh;
    background-color: #FFFEFE;
    overflow: hidden;
}

.slideshow1{
    width: 120%;
    display: flex;
    margin-bottom: 25px;
}

.slideshow2{
    width: 120%;
    display: flex;
    margin-bottom: 25px;
}

video{
    width: 26vw;
    height: 19.5vw;
    /* background-color: #333; */
    margin-right: 25px;  
}

.slide{
    width: 26vw;
    height: 19.5vw;
    /* background-color: #333; */
    margin-right: 25px;
    background-size: cover;
}

.slideshow1 .slide:nth-child(1){
    background-image: url(/images/home-item-1.jpg);
}

.slideshow1 .slide:nth-child(3){
    background-image: url(/images/home-item-3.jpg);
}

.slideshow2 .slide:nth-child(2){
    background-image: url(/images/home-item-6.jpg);
}

.slideshow2 .slide:nth-child(4){
    background-image: url(/images/home-item-8.jpg);
}

#four{
    position: relative;
    width: 100%;
    height: 100vh;
    background-color: #1c1d20;
}

#ficon{
    position: absolute;
    top: 15%;
    left: 10%;
    display: flex;
}

#lfticon{
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-image: url(/images/last.jpg);
    background-size: cover;
    background-position: center;
}

#ficon h1{
    margin-left: 15px;
    font-size: 6vw;
    font-weight: 400;
}

#ficon h1 span{
    margin-left: -90px;
}

#fline{
    position: absolute;
    top: 50%;
}

#getintouch{
    position: absolute;
    top: 45%;
    right: 15%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 12vw;
    height: 12vw;
    background-color:#334bd3;
    border-radius: 50%;
}

#getintouch h1{
    font-size: 1.5vw;
    font-weight: 400;
}

#buttons{
    position: absolute;
    top: 70%;
    left: 10%;
    display: flex;
}

#fleftbtn{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 15vw;
    height: 5vw;
    font-size: 20px !important;
    border-radius: 50px;
    border: 1px solid #fff;
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 0.5s;
}

#fleftbtn a{
    color: #fff;
}

#frightbtn{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 10vw;
    height: 5vw;
    font-size: 20px !important;
    margin-left: 20px;
    border-radius: 50px;
    /* background-color: #fff; */
    border: 1px solid #fff;
}

#frightbtn a{
    color: #fff;
}


#menubar{
    position: fixed;
    right: -50%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 50%;
    height: 100vh;
    background-color: #0e0e0e;
    z-index: 99999999999;
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
}

#menubar a{
    color: #fff;
    font-size: 3vw;
    margin-bottom: 15px;
    font-weight: 600;
    letter-spacing: 5px;
}

#close{
    position: absolute;
    top: 5%;
    right: 5%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    background-color: #fff;
    border-radius: 50%;
    color: #080808;
}

#close:hover{
    cursor: pointer;
}

#close h1{
    font-size: 1vw;
}






@keyframes text{
    from{
        transform: translate(0%);
    }
    to{
        transform: translate(-50.5%);
    }
}

/* @keyframes text2{
    from{
        transform: translate(0%);
    }
    to{
        transform: translate(50.5%);
    }
} */


@keyframes circle2{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(0deg);
    }
}



.hover-link {
  margin: 0 auto;
  border: none;
  background: none;
  color: #fff;
  text-transform:capitalize;
  text-decoration: none;
  display: inline-block;
  position: relative;
  cursor: pointer;
}

.hover-link > span {
  overflow: hidden;
  display: block;
  position: relative;
  pointer-events: none;
}

.hover-link > span > span {
  display: inline-block;
}

.hover-link > span > span:nth-of-type(1) {
  transition: 0.4s ease all;
}

.hover-link > span > span:nth-of-type(2) {
  transition: 0.4s ease all;
  transition-delay: 0.07s;
}

.hover-link > span > span > span {
  content: attr(data-text);
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  transform: translateY(200%);
}

.hover-link:hover > span > span,
.hover-link:focus > span > span {
  transform: translateY(-200%);
}

#cursor {
  position: absolute;
  width: 3rem;
  height: 3rem;
  background-color: rgba(255, 255, 255, 0.2);
  border-radius: 50%;
  border: solid 1px rgba(255, 255, 255, 0.2);
  pointer-events: none;
  z-index: 1000;
  transition: 0.35s ease width, 0.35s ease height, 0.35s ease border,
    0.35s ease background;
  transform: translate(-50%, -50%);

}

#cursor.button {
  width: 5rem;
  height: 5rem;
  border: solid 1px transparent;
  background: rgba(255, 255, 255, 0.5);
}


/* From button.js */ 
/* .content {
	grid-area: content;
	display: flex;
	flex-direction: column;
	align-items: center;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.cursor {
	display: none;
}

.button {
	cursor: pointer;
	border-width: 1px;
	border-color:#000;
	border-style: solid;
	color: #000;
	background: transparent;
	border-radius: 40px;
	min-width: 14rem;
	height: 6rem;
	padding: 0;
	margin: 1rem;
	font-family: inherit;
	font-size: 1.5rem;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}

.button:focus,
.button--hover {
	outline: none;
	border-width: 1px;
	border-color:  #000;
	color:#fff;
}

.button__filler {
	background:  #000;
	position: absolute;
	width: 150%;
	height: 200%;
	border-radius: 50%;
	top: -50%;
	left: -25%;
	transform: translate3d(0,75%,0);
}

.button__text, 
.button__text-inner {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
} */



.button-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
}

button{
    all: unset;
}

.button {
  position: relative;
  display: inline-flex;
  height: 5vw;
  align-items: center;
  border-radius: 50px;
  border: 1px solid #333;
  padding: 0 3rem 0 3rem;
  /* font-weight:500; */
  color: #000000;
}

.button-item {
  background-color: transparent;
  color: rgb(0, 0, 0);
  font-size: 1.5rem;
}

.button-item .button-bg {
  border-color: transparent;
  background-color: transparent;
}

.button-inner,
.button-inner-static {
  pointer-events: none;
  display: block;
}

.button-inner {
  position: relative;
}

.button-bg {
  overflow: hidden;
  border-radius: 50px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: scale(1);
  transition: transform 1.8s cubic-bezier(0.19, 1, 0.22, 1);
}

.button-bg,
.button-bg-layer,
.button-bg-layers {
  display: block;
}

.button-bg-layers {
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  top: -60%;
  aspect-ratio: 1 / 1;
  width: max(200%, 10rem);
}

.button-bg-layer {
  border-radius: 9999px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: scale(0);
  transition: transform 1.3s cubic-bezier(0.19, 1, 0.22, 1),
              opacity 0.3s linear;
}

.button-bg-layer.-purple {
  background-color: #455ce9;
}

.button:hover .button-inner-static {
  opacity: 1;
  color: #ffffff;
  transform: translateY(0%);
  transition: transform 1.4s cubic-bezier(0.19, 1, 0.22, 1), opacity 1s linear;
}

.button:hover .button-bg-layer {
  transform: scale(1);
}

.button:hover .button-bg-layer-1 {
  transform: scale(1);
}

.button .button-inner-static {
  opacity: 1;
  transform: translateY(0);
  transition: transform 2s cubic-bezier(0.19, 1, 0.22, 1), opacity 1s linear;
}

.button .button-bg-layer {
  transform: scale(0);
  transition: transform 2s cubic-bezier(0.19, 1, 0.22, 1), opacity 1s linear;
}

